;; Time-stamp: <> -*-nasm-*- 
;; linux.inc: Common Linux Definitions.

; System interrupt

%macro          sys     1
                mov     eax,%1
                int     80h
%endmacro

; Library call

%macro          lcall   1
                extern  %1
                call    %1
%endmacro

; System Call Numbers 

Exit            equ     1 
Read            equ     3 
Write           equ     4 
Open            equ     5 
Close           equ     6 
Brk             equ     45 

# Standard File Descriptors 

STDIN           equ     0 
STDOUT          equ     1 
STDERR          equ     2 

# Common Status Codes 

END_OF_FILE     equ     0 
