;; Time-stamp: <> -*-nasm-*-
;; read-record.asm: This function reads a record from the file descriptor.

%include  "linux.inc"
%include  "record-def.inc" 
 
; Calling sequence: call read_record
; Entry conditions: The file descriptor and a buffer 
; Exit conditions:  This function writes the data to the buffer and
;                   returns a status code.

          global    read_record:function

          section   .text 

ST_READ_BUFFER equ  8 
ST_FILEDES     equ  12 

read_record:
          push      ebp 
          mov       ebp,esp 
          push      ebx 
          mov       ebx,[ebp+ST_FILEDES] 
          mov       ecx,[ebp+ST_READ_BUFFER] 
          mov       edx,RECORD_size
          sys       Read 

; NOTE - EAX has the return value, which we will give back to our
; calling program.

          pop       ebx 
          mov       esp,ebp 
          pop       ebp 
          ret	
