;; Time-stamp: <> -*-nasm-*-
;; exit.asm: Simple program that exits and returns a status code.
 
; Entry conditions: None. 
; Exit conditions:  Returns a status code.  This can be viewed
;                   by typing 
 
;                   echo $? 
 
;                   after running the program.
 
          global    _start

          section   .text 
_start:   mov       eax,1         ; This is the linux kernel command
                                  ;   number (system call) for exiting
                                  ;   a program. 
          xor       ebx,ebx       ; This is the status number we will 
                                  ;   return to the operating system. 
                                  ;   Change this around and it will 
                                  ;   return different things to echo
                                  ;   $?
          int       80h           ; This wakes up the kernel to run 
                                  ;   the exit command 
