;; Time-stamp: <> -*-nasm-*-
;; printf-example.asm: This program is to demonstrate how to call printf.

%include  "linux.inc"

          global    _start

          section   .text 

; Note that the parameters are passed in the reverse order that they
; are listed in the function's prototype.

_start:   push      dword[numberloved]; This is the %d 
          push      personstring  ; This is the second %s 
          push      name	  ; This is the first %s 
          push      firststring   ; This is the format string in the
				  ; prototype  
          lcall     printf 
          push      0 
          lcall     exit 

          section   .data 

; This string is called the format string.  It's the first parameter,
; and printf uses it to find out how many parameters it was given, and
; what kind they are.

firststring db      "Hello! %s is a %s who loves the number %d", 10, 0 
name      db        "Jonathan", 0 
personstring db     "person", 0 

; This could also have been an EQU, but we decided to give it a real
; memory location just for kicks

numberloved dd      3 
