;; Time-stamp: <> -*-nasm-*-
;; write-record.asm: This function writes a record to the file descriptor.

%include  "linux.inc" 
%include  "record-def.inc" 
 
          global    write_record:function

          section   .text 

; Calling sequence: call write-record
; Entry conditions: The file descriptor and a buffer.
; Exit conditions:  This function produces a status code.

ST_WRITE_BUFFER equ 8 
ST_FILEDES      equ 12 

write_record:
          push      ebp 
          mov       ebp,esp 
          push      ebx 
          mov       ebx,[ebp+ST_FILEDES]
          mov       ecx,[ebp+ST_WRITE_BUFFER] 
          mov       edx,RECORD_size
          sys       Write

; NOTE - EAX has the return value, which we will give back to our
; calling program.

          pop       ebx 
          mov       esp,ebp 
          pop       ebp 
          ret	
